Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Visuwesh <[email-masked]>
Date: Fri, 01 Apr 2022 06:35:16 +0530

[வியாழன் மார்ச் 31, 2022] Robert Pluim wrote:

>>>>>> On Thu, 31 Mar 2022 19:49:28 +0300, Eli Zaretskii <[email-masked]> said:
>     >> I tried Meera Inmai, Noto Serif Tamil, Noto Sans Tamil, Catamaran,
>     >> Kurinto Seri.  Out of which only Noto Serif and Kurinto Seri shows the
>     >> problem.  Maybe it is a font issue after all? but (Ungoogled) Chromium
>     >> which uses harfbuzz AFAICT renders the text just fine.
>
>     Eli> We also render the text just fine -- until you resize it with
>     Eli> text-scale-adjust.
>
>     Eli> Anyway, according to this:
>
>     Eli>   http://www.kurinto.com/download.htm
>
>     Eli> Kurinto fonts are a 3.1GB download!  Is there some place where I can
>     Eli> get away with downloading just the font for Tamil?
>

Since Kurinto Seri with all its weight comes around 12M in tar.gz, I
uploaded it here http://0x0.st/oq6O.bin instead of attaching it.

> Iʼve tried here with Noto Serif Tamil and canʼt reproduce it, but Iʼm
> only on harfbuzz 3.7.4. I think I have a box somewhere with 4.1.0,
> Iʼll try there.
>

I've only tried on versions lower than yours.  I will try a newer
version than what's in nixpkgs, and report back.

> Robert